using APT.BaseData.Domain.Entities;
using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.TI
{
    /// <summary>
    /// 项目附件
    /// </summary>
    [Description("项目附件")]
    public partial class T_TI_PROJECT_CHECK_FILE : MesEntityBase
    {
        /// <summary>
        /// 项目验收ID
        /// </summary>
        [Description("项目验收ID")]
        [DataFieldForeignKey("Nav_ProjectCheck", "Nav_Files")]
        public Guid PROJECT_CHECK_ID { get; set; }

        /// <summary>
        /// 导航：项目验收
        /// </summary>
        [Description("导航：项目验收")]
        public virtual T_TI_PROJECT_CHECK Nav_ProjectCheck { get; set; }

        /// <summary>
        /// 文件ID
        /// </summary>
        [Description("文件ID")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid IMG_FILE_ID { get; set; }

        /// <summary>
        /// 导航属性：文件
        /// </summary>
        [Description("导航属性：文件")]
        public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
